using Otter;

namespace PpbbffttMiningHa.entities.MapEntities
{
    class DeadDirt : Entity
    {
        private Spritemap<string> _spriteMap;

        public DeadDirt(float x, float y)
        {
            X = x; Y = y;
            _spriteMap = new Spritemap<string>(Assets.TILES, 32, 32);
            _spriteMap.Add("main", new int[] { 10 }, new float[] { 7f, 7f });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            Layer = 2;
        }

        public override void Render()
        {
            base.Render();
            //Collider.Render();
        }
    }
}